Page MenuHomePhabricator

Newcomer Tasks: make text extracts display wrapped text
Closed, ResolvedPublic

Description

Currently, only one line of text is shown in suggested article preview cards:

The text extracts should look as in the following mockup. Only instead of ellipsis at the end of the text, the text should fade.

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterSuggestedEditCardWidget: Make extract fade out at the end
mediawiki/extensions/GrowthExperiments : masterSuggestedEditCardWidget: Restrict card title to one line
mediawiki/extensions/GrowthExperiments : masterSuggested Edits: Make extract text span up to 4 lines

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 5 2019, 11:51 PM
MMiller_WMF renamed this task from Newcomer Tasks - make text extracts display wrapped text to Newcomer Tasks: make text extracts display wrapped text .Nov 5 2019, 11:52 PM
MMiller_WMF edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
MMiller_WMF updated the task description. (Show Details)

Change 549063 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Suggested Edits: Make extract text span up to 4 lines

https://gerrit.wikimedia.org/r/549063

Change 549063 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Suggested Edits: Make extract text span up to 4 lines

https://gerrit.wikimedia.org/r/549063

kostajh removed kostajh as the assignee of this task.Nov 7 2019, 2:34 PM
kostajh added a subscriber: kostajh.

Moving back to ready for dev for the text fade bit.

@Catrope -- as you work on this, I want to make sure that production will not include parentheticals and templates in the text extracts, the way we see on beta right now:

Right now we see templates, phonetic pronunciation, etc.

MMiller_WMF added a subscriber: PPham.EditedNov 14 2019, 12:51 AM

@Catrope -- today, @PPham noticed that long titles can push the article text preview off the card:

Here's a screenshot where the pageviews are pushed off the card:

Change 550964 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] SuggestedEditCardWidget: Make extract fade out at the end

https://gerrit.wikimedia.org/r/550964

Change 550967 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] SuggestedEditCardWidget: Restrict card title to one line

https://gerrit.wikimedia.org/r/550967

Change 550964 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] SuggestedEditCardWidget: Make extract fade out at the end

https://gerrit.wikimedia.org/r/550964

Change 550967 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] SuggestedEditCardWidget: Restrict card title to one line

https://gerrit.wikimedia.org/r/550967

Checked in betalabs (including the following phab tasks - T238322, T238324, T238325). I've added this task to the list of tasks to check in production.

General screenshot (just for intormation):
"Fotbalový stadion Za Lužánkami"

Note: Sometime only one letter of a word is displayed, but I think it's fine:
Sdružení přátel Jaroslava Foglara

This looks good to me in beta. @RHo please review!

There is still an issue with placing pageviews correctly (as per the comment - https://phabricator.wikimedia.org/T237483#5662244 and T238322).
The examples from production:

Moving along as this specific issue is fixed, but I have commented on T238322 regarding pageviews display in @Etonkovidova's previous comment.

This looks good to me. Leaving in this column until we've deployed to users.

PPham moved this task from Backlog to Cần để ý on the User-PPham board.Nov 20 2019, 1:39 AM
MMiller_WMF closed this task as Resolved.Thu, Jan 2, 11:40 PM
MMiller_WMF claimed this task.